summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorDavid Lönnhager <david.l@mullvad.net>2020-04-17 10:25:33 +0200
committerDavid Lönnhager <david.l@mullvad.net>2020-04-17 10:28:11 +0200
commit3d6eef646d35c1fe78fbeb10d6871ab948dae5a4 (patch)
tree0e9eb7c90d8a63993b4e09df2c5968afe7db505e
parentb8005b805e3ce152708c9e7db5179c639d8a1b0a (diff)
downloadmullvadvpn-3d6eef646d35c1fe78fbeb10d6871ab948dae5a4.tar.xz
mullvadvpn-3d6eef646d35c1fe78fbeb10d6871ab948dae5a4.zip
Remove symlinks before app on macOS
-rwxr-xr-xdist-assets/uninstall_macos.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/dist-assets/uninstall_macos.sh b/dist-assets/uninstall_macos.sh
index 48114045b2..9cf33ec5de 100755
--- a/dist-assets/uninstall_macos.sh
+++ b/dist-assets/uninstall_macos.sh
@@ -18,16 +18,16 @@ DAEMON_PLIST_PATH="/Library/LaunchDaemons/net.mullvad.daemon.plist"
sudo launchctl unload -w "$DAEMON_PLIST_PATH"
sudo rm -f "$DAEMON_PLIST_PATH"
-echo "Removing app from /Applications ..."
-sudo rm -rf /Applications/Mullvad\ VPN.app
-sudo pkgutil --forget net.mullvad.vpn || true
-
echo "Removing shell completion symlink ..."
sudo rm -f /usr/local/share/zsh/site-functions/_mullvad
echo "Removing CLI symlinks from /usr/local/bin/ ..."
sudo rm -f /usr/local/bin/mullvad /usr/local/bin/mullvad-problem-report
+echo "Removing app from /Applications ..."
+sudo rm -rf /Applications/Mullvad\ VPN.app
+sudo pkgutil --forget net.mullvad.vpn || true
+
read -p "Do you want to delete the log and cache files the app has created? (y/n) "
if [[ "$REPLY" =~ [Yy]$ ]]; then
sudo rm -rf /var/log/mullvad-vpn /var/root/Library/Caches/mullvad-vpn